#include<Xm/Xm.h>
/*
 * These are the machines that the GUI may
 * run on.
 */
/*char ISIP_GUI_MACHINES[] = 
  {
  "isip00","isip01","isip02"  
  }

char ERC_GUI_MACHINES[] = 
  {
  "phoenix","athena","cheers","central","shamu",
  "super1","super2","super3","super4","super5",
  "super6","super7","super8"
  }

  */  


  
/*
 * Pointers to the drawing area
 */
Display *display;
Screen  *screen;
XGCValues gcv;
GC      gc;
Window  win;
long int fillPixel;


/*
 * coordinates of current bar
 */
unsigned int width;
unsigned int height;
int x_coord;
int y_coord;
int rows_used;
int arc_width;
int arc_height;


/*
 * variable to indicate that FT routine is
 * still running
 */

int FT_Still_Running;


/*
 * Data Structures
 */

struct my2d{
  int x;
  int y;
  };
typedef struct my2d MY2D;

struct event_struct {
  int eventType;
  float time;
  int source;
  int destination;
  int percentTime;
  struct event_struct *next;
  };
typedef struct event_struct COMM_EVENT_TYPE;

struct statistics_type {
  int float_adds;
  int float_mults;
  int int_adds;
  int int_mults;
  int memory_used;
  int number_of_shifts;
  };
typedef struct statistics_type STATS_TYPE;

struct change_in_stats_type {
  float float_adds;
  float float_mults;
  float int_adds;
  float int_mults;
  float memory_used;
  float number_of_shifts;
  };
typedef struct change_in_stats_type STATS_CHANGE_TYPE;

STATS_CHANGE_TYPE change_in_stats;
STATS_TYPE baseline_stats;

MY2D process[32];
MY2D centerOfArea;

COMM_EVENT_TYPE *event_list;
COMM_EVENT_TYPE *current_event;
float previous_event_time;
int numberOfProcesses;

